Package org.apache.lucene.search.vectorhighlight

## Class FieldFragList.WeightedFragInfo.SubInfo

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldFragList.WeightedFragInfo.SubInfo

- Enclosing class:
    FieldFragList.WeightedFragInfo

      public static class FieldFragList.WeightedFragInfo.SubInfo
      extends Object

  Represents the list of term offsets for some text

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubInfo​(String text, List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets, int seqnum, float boost)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `getBoost()` |
    `int` | `getSeqnum()` |
    `List<FieldPhraseList.WeightedPhraseInfo.Toffs>` | `getTermsOffsets()` |
    `String` | `getText()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubInfo

          public SubInfo​(String text,
                         List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets,
                         int seqnum,
                         float boost)

  - ### Method Detail

    - #### getTermsOffsets

          public List<FieldPhraseList.WeightedPhraseInfo.Toffs> getTermsOffsets()

    - #### getSeqnum

          public int getSeqnum()

    - #### getText

          public String getText()

    - #### getBoost

          public float getBoost()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`